#include "../../../lib/std.mi"

Function Flop(button Pow, GUIObject rect);
Function changeAuto(button Aut, GUIObject rect);
Function crossTxtSet(slider cross, text txt);

Global Group EQ;
Global Button eqPow, eqAut;
Global GUIObject eqAutRect, eqPowRect;
Global Slider cross;
Global Text crossTxt;

system.onScriptLoaded() {
	EQ = getScriptGroup();
	eqPow = eq.findObject("eqToggle");
	eqPowRect = eq.findObject("eqpowrect");
	eqAut = eq.findObject("eqAuto");
	eqAutRect = eq.findObject("eqautorect");
	cross = eq.findObject("Crossfade");
	crossTxt = eq.findObject("CrossCount");

	Flop(eqPow, eqPowRect);
	changeAuto(eqAut, eqAutRect);
	crossTxtSet(cross, crossTxt);
}

cross.onSetPosition(int pos) {
	crossTxtSet(cross, crossTxt);
}

eqPow.onLeftButtonDown(int x, int y) {
	Flop(eqPow, eqPowRect);
}

eqPow.onLeftButtonUp(int x, int y) {
	Flop(eqPow, eqPowRect);
}

eqAut.onLeftButtonDown(int x, int y) {
	changeAuto(eqAut, eqAutRect);
}

eqAut.onLeftButtonUp(int x, int y) {
	changeAuto(eqAut, eqAutRect);
}

changeAuto(button Aut, GUIObject rect) {
	int state = Aut.getActivated();
	if(state)
		rect.setAlpha(255);
	else
		rect.setAlpha(125);
}

Flop(button Pow, GUIObject rect) {
	int state = system.getEQ();
	if(state == 1) {
		Pow.setXMLParam("Text", "ON");
		rect.setAlpha(255);
	}
	else if(state == 0) {
		Pow.setXMLParam("Text", "OFF");
		rect.setAlpha(125);
	}
}

crossTxtSet(slider cross, text txt) {
	int pos = cross.getPosition();
	txt.setText(system.integerToString(pos));
}