#include "../../../lib/std.mi"

Global Layout Options, Main;
Global Button changeStraw;
Global GUIObject DropDown;
Global Layer strawPrev, strawTop, strawBot;
Global Text dropText;

System.onScriptLoaded() {
	/*Containers*/
	Main = getContainer("Main").getLayout("Normal");
	Options = getContainer("Option").getLayout("Normal");
	
	/* Drop Down List */
	dropDown = options.findObject("straw.choice");
	dropText = dropDown.findObject("dropdownlist.text");
	
	/* Button to Change */
	changeStraw = options.findObject("set.straw");
	
	/* Straw */
	strawPrev = options.findObject("new.straw");
	strawTop = main.findObject("strawTop");
	strawBot = main.findObject("strawBot");
	
	string changeText = system.getPrivateString("Boba", "Straw", "green");
	dropText.onTextChanged(changeText);
	changeStraw.onLeftButtonDown(1,1);
}

dropText.onTextChanged(String newTxt) {
	newTxt = System.strLower(newTxt);
	
	if(newTxt == "blue") { strawPrev.setXMLParam("image", "straw.prev.blue"); }
	else if(newTxt == "red") { strawPrev.setXMLParam("image", "straw.prev.red"); }
	else if(newTxt == "yellow") { strawPrev.setXMLParam("image", "straw.prev.yellow"); }
	else if(newTxt == "purple") { strawPrev.setXMLParam("image", "straw.prev.purple"); }
	else if(newTxt == "orange") { strawPrev.setXMLParam("image", "straw.prev.orange"); }
	else if(newTxt == "green") { strawPrev.setXMLParam("image", "straw.prev.green"); }
}

changeStraw.onLeftButtonDown(int x, int y) {
	string newTxt = System.strLower(dropText.getText());
	
	if(newTxt == "blue") { 
		strawTop.setXMLParam("image", "straw.top.blue");
		strawBot.setXMLParam("image", "straw.bottom.blue");
		system.setPrivateString("Boba", "Straw", "blue");
	}
	else if(newTxt == "red") { 
		strawTop.setXMLParam("image", "straw.top.red");
		strawBot.setXMLParam("image", "straw.bottom.red");
		system.setPrivateString("Boba", "Straw", "red");
	}
	else if(newTxt == "yellow") { 
		strawTop.setXMLParam("image", "straw.top.yellow");
		strawBot.setXMLParam("image", "straw.bottom.yellow");
		system.setPrivateString("Boba", "Straw", "yellow");
	}
	else if(newTxt == "purple") { 
		strawTop.setXMLParam("image", "straw.top.purple");
		strawBot.setXMLParam("image", "straw.bottom.purple");
		system.setPrivateString("Boba", "Straw", "purple");
	}
	else if(newTxt == "orange") { 
		strawTop.setXMLParam("image", "straw.top.orange");
		strawBot.setXMLParam("image", "straw.bottom.orange");
		system.setPrivateString("Boba", "Straw", "orange"); 
	}
	else if(newTxt == "green") { 
		strawTop.setXMLParam("image", "straw.top.green");
		strawBot.setXMLParam("image", "straw.bottom.green");
		system.setPrivateString("Boba", "Straw", "green");
	}
}