#include "../../../lib/std.mi"

Function setNewSongTime(int yPos);

Global Layout MainLayout;
Global Layer MouseCatch, Drink, drinkBack, drinkGhost, drinkBackGhost;
Global Int Down;
Global Timer DownTim;
Global Slider Tracker;
Global Text SongTick;

	
System.onScriptLoaded() {

	MainLayout = getContainer("Main").getLayout("Normal");
	MouseCatch = mainLayout.findObject("drinkCatch");
	Drink = mainLayout.findObject("Drink");
	drinkBack = mainLayout.findObject("Drinkback");
	Drinkghost = mainLayout.findObject("Drinkghost");
	drinkBackGhost = mainLayout.findObject("Drinkbackghost");
	Tracker = mainLayout.findObject("Track.slider");
	SongTick = mainLayout.findObject("Songticker");
	DownTim = new Timer;

	Drinkghost.hide();
	drinkBackGhost.hide();

	Down = 0;
}

setNewSongTime(int yPos) {
	int newPos = (yPos-52)*255/414;
	system.seekTo(system.getPlayItemLength()*(newPos/255));
	Tracker.setPosition(newPos);
}
	

MouseCatch.onLeftButtonUp(int x,int y) {
	Drinkghost.hide();
	drinkBackGhost.hide();
	Down = 0;

	if(y<52) {
		drink.setXMLParam("y", "52");
		drinkBack.setXMLParam("y", "52");
		drinkGhost.setXMLParam("y", "52");
		drinkBackGhost.setXMLParam("y", "52");
		setNewSongTime(52);
	}
	else if(y>466) {
		drink.setXMLParam("y", "466");
		drinkBack.setXMLParam("y", "466");
		drinkGhost.setXMLParam("y", "466");
		drinkBackGhost.setXMLParam("y", "466");
		setNewSongTime(466);
	}
	else { //y>=52
		drink.setXMLParam("y", system.integerToString(y));
		drinkBack.setXMLParam("y", system.integerToString(y));
		drinkGhost.setXMLParam("y", system.integerToString(y));
		drinkBackGhost.setXMLParam("y", system.integerToString(y));
		setNewSongTime(y);
	}
}

MouseCatch.onLeftButtonDown(int x, int y) {
	Drinkghost.show();
	drinkBackGhost.show();
	Down = 1;
}

MouseCatch.onMouseMove(int x, int y)
{
	if(Down) {
		if(y<52) {
			drinkGhost.setXMLParam("y", "52");
			drinkBackGhost.setXMLParam("y", "52");
			songtick.setAlternateText("Seek to " + System.integerToTime(0) + "  " + "0%");
		}
		else if(y>466) {
			drinkGhost.setXMLParam("y", "466");
			drinkBackGhost.setXMLParam("y", "466");
			songtick.setAlternateText("Seek to " + System.integerToTime(system.getPlayItemLength()) + "  " + "100%");
		}
		else { //y>=52
			drinkGhost.setXMLParam("y", system.integerToString(y));
			drinkBackGhost.setXMLParam("y", system.integerToString(y));
			int newPos = (y-52)*255/416;
			Float PosPercent = newPos / 255 * 100;
			Float length = System.getPlayItemLength();
			Int timePos = length * PosPercent / 100;
			songtick.setAlternateText("Seek to " + system.integerToTime(timePos) + "  " + system.integerToString(PosPercent) + "%");
		}
	}
}

Tracker.onSetPosition(int p) {
	int newY = (p*414/255)+52;
	drink.setXMLParam("y", system.integerToString(newY));
	drinkBack.setXMLParam("y", system.integerToString(newY));
	if(!Down) {
		drinkGhost.setXMLParam("y", system.integerToString(newY));
		drinkBackGhost.setXMLParam("y", system.integerToString(newY));
	}
}