#include "../../../lib/std.mi"

Function SetMyBoxColor();
Function getDefaultValues();
Function ChangeSliders(string CurCol);

Global Layout Options, Main;
Global Button SongtickerScroll, VisEnable, visbox1, visbox2, gotBobaBut, InfoBut, ThingBut;
Global Text Songticker, dropText, bitrate;
Global Vis regVis, vis1, vis2;
Global GuiObject ColorBox, DropDown, visover1, visover2, drinkText;
Global Slider Red, Green, Blue;
Global Int RedVal, GreenVal, BlueVal;
Global Layer gotBoba, drinkBack, DrinkBackGhost, drink, drinkGhost, infoBack;
Global Slider drinkOp;
Global Group infoGrp, ThingGrp;

Global String defTime, defTick, DefInfo;
Global String defVis1, defVis2, defVis3, defVis4, defVis5, defVis6, defVis7, defVis8, defVis9, defVis10, defVis11, defVis12, defVis13, defVis14, defVis15, defVis16, defVisPeak;
Global GuiObject timeCol;
Global Button setNew, SetDef;
Global Edit redEdit, greenEdit, blueEdit;

System.onScriptLoaded() {
	/*Containers*/
	Main = getContainer("Main").getLayout("Normal");
	Options = getContainer("Option").getLayout("Normal");

	//Groups to hide
	infoGrp = main.findObject("info");
	ThingGrp = main.findObject("ThingerButs");
	
	Songticker = main.findObject("Songticker");

	/* Vis Modes */
	regVis = main.findObject("cupvis");
	vis1 = options.findObject("configVis1");
	vis2 = options.findObject("configVis2");
	
	//Boxes over vis
	visover1 = options.findObject("vbo1");
	visover2 = options.findObject("vbo2");
	
	//got boba text layer
	gotBoba = main.findObject("gotBoba");
	
	//drink layers
	drinkBack = main.findObject("drinkBack");
	DrinkBackGhost = main.findObject("drinkBackGhost");
	drink = main.findObject("drink");
	drinkGhost = main.findObject("drinkGhost");
	infoBack = main.findObject("infoBack");
	
	/* Check Boxes */
	SongtickerScroll = options.findObject("songticker.enabled");
	VisEnable = options.findObject("Vis.enabled");
	visbox1 = options.findObject("vis.mode1");
	visbox2 = options.findObject("vis.mode2");
	gotBobaBut = options.findObject("gotBoba.enabled");
	ThingBut = options.findObject("thinger.enabled");
	InfoBut = options.findObject("info.enabled");

	ColorBox = options.findObject("color.picker.box");

	/* Sliders */
	Red = options.findObject("Red");
	Green = options.findObject("Green");
	Blue = options.findObject("Blue");
	drinkOp = options.findObject("drink.slider");

	/* Drop Down List */
	dropDown = options.findObject("color.choice");
	dropText = dropDown.findObject("dropdownlist.text");

	/* Color Changer Buttons */
	setNew = options.findObject("color.setNew");
	setDef = options.findObject("color.setDefaults");

	/* Edit Boxes */
	redEdit = options.findObject("red.edit");
	greenEdit = options.findObject("green.edit");
	blueEdit = options.findObject("blue.edit");
	
	drinkText = options.findObject("drinkOpac");

	/* Set up Initial Setting */
	getDefaultValues();
	
	vis1.setMode(1);
	vis2.setMode(2);

	SongtickerScroll.onActivate(System.getPrivateInt("Boba", "SongTickerEnabled", 1));
	VisEnable.onActivate(System.getPrivateInt("Boba", "VisEnabled", 1));
	visbox1.onActivate(System.getPrivateInt("Boba", "VisMode1", 1));
	visbox2.onActivate(System.getPrivateInt("Boba", "VisMode2", 0));
	gotBobaBut.onActivate(System.getPrivateInt("Boba", "BobaEnabled", 1));
	ThingBut.onActivate(System.getPrivateInt("Boba", "ThingerEnabled", 1));
	InfoBut.onActivate(System.getPrivateInt("Boba", "InfoEnabled", 1));
	drinkOp.setPosition(System.getPrivateInt("Boba", "DrinkSliderOpacity", 160));

	SetMyBoxColor();
}

setNew.onLeftButtonDown(int x, int y) {
	string curSel = dropText.getText();
	curSel = getToken(curSel, " " , 0);
	string newColor = integerToString(RedVal) + "," + integerToString(GreenVal) + "," + integerToString(BlueVal);
	if(strlower(CurSel) == "songtime") {
		timeCol.setXMLParam("color", newColor);
		system.setPrivateString("Boba", "NewTime", newColor);
	}
	else if(strlower(Cursel) == "infoline") {
		bitrate.setXMLParam("color" , newColor);
		system.setPrivateString("Boba", "NewInfo", newColor);
	}
	else if(strlower(Cursel) == "band1") {
		regVis.setXMLParam("colorband1", newColor);
		system.setPrivateString("Boba", "NewVis1", newColor);
	}
	else if(strlower(Cursel) == "band2") {
		regVis.setXMLParam("colorband2", newColor);
		system.setPrivateString("Boba", "NewVis2", newColor);
	}
	else if(strlower(Cursel) == "band3") {
		regVis.setXMLParam("colorband3", newColor);
		system.setPrivateString("Boba", "NewVis3", newColor);
	}
	else if(strlower(Cursel) == "band4") {
		regVis.setXMLParam("colorband4", newColor);
		system.setPrivateString("Boba", "NewVis4", newColor);
	}
	else if(strlower(Cursel) == "band5") {
		regVis.setXMLParam("colorband5", newColor);
		system.setPrivateString("Boba", "NewVis5", newColor);
	}
	else if(strlower(Cursel) == "band6") {
		regVis.setXMLParam("colorband6", newColor);
		system.setPrivateString("Boba", "NewVis6", newColor);
	}
	else if(strlower(Cursel) == "band7") {
		regVis.setXMLParam("colorband7", newColor);
		system.setPrivateString("Boba", "NewVis7", newColor);
	}
	else if(strlower(Cursel) == "band8") {
		regVis.setXMLParam("colorband8", newColor);
		system.setPrivateString("Boba", "NewVis8", newColor);
	}
	else if(strlower(Cursel) == "band9") {
		regVis.setXMLParam("colorband9", newColor);
		system.setPrivateString("Boba", "NewVis9", newColor);
	}
	else if(strlower(Cursel) == "band10") {
		regVis.setXMLParam("colorband10", newColor);
		system.setPrivateString("Boba", "NewVis10", newColor);
	}
	else if(strlower(Cursel) == "band11") {
		regVis.setXMLParam("colorband11", newColor);
		system.setPrivateString("Boba", "NewVis11", newColor);
	}
	else if(strlower(Cursel) == "band12") {
		regVis.setXMLParam("colorband12", newColor);
		system.setPrivateString("Boba", "NewVis12", newColor);
	}
	else if(strlower(Cursel) == "band13") {
		regVis.setXMLParam("colorband13", newColor);
		system.setPrivateString("Boba", "NewVis13", newColor);
	}
	else if(strlower(Cursel) == "band14") {
		regVis.setXMLParam("colorband14", newColor);
		system.setPrivateString("Boba", "NewVis14", newColor);
	}
	else if(strlower(Cursel) == "band15") {
		regVis.setXMLParam("colorband15", newColor);
		system.setPrivateString("Boba", "NewVis15", newColor);
	}
	else if(strlower(Cursel) == "band16") {
		regVis.setXMLParam("colorband16", newColor);
		system.setPrivateString("Boba", "NewVis16", newColor);
	}
	else if(strlower(Cursel) == "peak") {
		regVis.setXMLParam("colorbandpeak", newColor);
		system.setPrivateString("Boba", "NewVisPeak", newColor);
	}
	else {
		songticker.setXMLParam("color", newColor);
		system.setPrivateString("Boba", "NewTick", newColor);
	}
}

setDef.onLeftButtonDown(int x, int y) {
	string CurCol = dropText.getText();
	string changeCol = "Blah,BLAH,blAh!";
	CurCol = getToken(CurCol, " " , 0);
	if(strLower(curCol) == "songtime") { changeCol = DefTime; }
	else if(strlower(curcol) == "infoline") { changecol = defInfo; }
	else if(strlower(curcol) == "band1") { changecol = defVis1; }
	else if(strlower(curcol) == "band2") { changecol = defVis2; }
	else if(strlower(curcol) == "band3") { changecol = defVis3; }
	else if(strlower(curcol) == "band4") { changecol = defVis4; }
	else if(strlower(curcol) == "band5") { changecol = defVis5; }
	else if(strlower(curcol) == "band6") { changecol = defVis6; }
	else if(strlower(curcol) == "band7") { changecol = defVis7; }
	else if(strlower(curcol) == "band8") { changecol = defVis8; }
	else if(strlower(curcol) == "band9") { changecol = defVis9; }
	else if(strlower(curcol) == "band10") { changecol = defVis10; }
	else if(strlower(curcol) == "band11") { changecol = defVis11; }
	else if(strlower(curcol) == "band12") { changecol = defVis12; }
	else if(strlower(curcol) == "band13") { changecol = defVis13; }
	else if(strlower(curcol) == "band14") { changecol = defVis14; }
	else if(strlower(curcol) == "band15") { changecol = defVis15; }
	else if(strlower(curcol) == "band16") { changecol = defVis16; }
	else if(strlower(curcol) == "peak") { changecol = defVisPeak; }
	else { changeCol = defTick; }
	changeSliders(changeCol);
}

colorBox.onLeftButtonDblClk(int x, int y) {
	setNew.onLeftButtonDown(0,0);
}

SetMyBoxColor() {
	string newColor = integerToString(RedVal) + "," + integerToString(GreenVal) + "," + integerToString(BlueVal);
	ColorBox.setXMLParam("Color", newColor);
	colorBox.hide(); //helps counter update error jaggie yeah
	colorBox.show();
}

Red.onSetPosition(int p) {
	RedVal = p;
	RedEdit.setText(IntegerToString(p));
	SetMyBoxColor();
}

RedEdit.onEnter() {
	string newString = redEdit.getText();
	red.setPosition(stringToInteger(newString));
}

Green.onSetPosition(int p) {
	GreenVal = p;
	GreenEdit.setText(IntegerToString(p));
	SetMyBoxColor();
}

greenEdit.onEnter() {
	string newString = greenEdit.getText();
	green.setPosition(stringToInteger(newString));
}

Blue.onSetPosition(int p) {
	BlueVal = p;
	BlueEdit.setText(IntegerToString(p));
	SetMyBoxColor();
}

blueEdit.onEnter() {
	string newString = blueEdit.getText();
	blue.setPosition(stringToInteger(newString));
}

droptext.onTextChanged(String NewText) {
	string changeCol;
	newText = getToken(newText, " " , 0);
	if(strlower(NewText) ==  "songtime") {
		changeCol = system.getPrivateString("Boba", "NewTime", "255,255,255");
	}
	else if(strLower(newText) == "infoline") {
		changeCol = system.getPrivateString("Boba", "NewInfo", "255,255,255");
	}
	else if(strLower(newText) == "band1") {
		changeCol = system.getPrivateString("Boba", "NewVis1", "99,99,99");
	}
	else if(strLower(newText) == "band2") {
		changeCol = system.getPrivateString("Boba", "NewVis2", "102,102,102");
	}
	else if(strLower(newText) == "band3") {
		changeCol = system.getPrivateString("Boba", "NewVis3", "110,110,110");
	}
	else if(strLower(newText) == "band4") {
		changeCol = system.getPrivateString("Boba", "NewVis4", "120,120,120");
	}
	else if(strLower(newText) == "band5") {
		changeCol = system.getPrivateString("Boba", "NewVis5", "125,125,125");
	}
	else if(strLower(newText) == "band6") {
		changeCol = system.getPrivateString("Boba", "NewVis6", "134,134,134");
	}
	else if(strLower(newText) == "band7") {
		changeCol = system.getPrivateString("Boba", "NewVis7", "140,140,140");
	}
	else if(strLower(newText) == "band8") {
		changeCol = system.getPrivateString("Boba", "NewVis8", "147,147,147");
	}
	else if(strLower(newText) == "band9") {
		changeCol = system.getPrivateString("Boba", "NewVis9", "158,158,158");
	}
	else if(strLower(newText) == "band10") {
		changeCol = system.getPrivateString("Boba", "NewVis10", "168,168,168");
	}
	else if(strLower(newText) == "band11") {
		changeCol = system.getPrivateString("Boba", "NewVis11", "175,175,175");
	}
	else if(strLower(newText) == "band12") {
		changeCol = system.getPrivateString("Boba", "NewVis12", "190,190,190");
	}
	else if(strLower(newText) == "band13") {
		changeCol = system.getPrivateString("Boba", "NewVis13", "200,200,200");
	}
	else if(strLower(newText) == "band14") {
		changeCol = system.getPrivateString("Boba", "NewVis14", "210,210,210");
	}
	else if(strLower(newText) == "band15") {
		changeCol = system.getPrivateString("Boba", "NewVis15", "218,218,218");
	}
	else if(strLower(newText) == "band16") {
		changeCol = system.getPrivateString("Boba", "NewVis16", "255,255,255");
	}
	else if(strLower(newText) == "peak") {
		changeCol = system.getPrivateString("Boba", "NewVisPeak", "255,255,255");
	}
	else {
		changeCol = system.getPrivateString("Boba", "NewTick", "255,255,255");
	}
	changeSliders(changeCol);
}

getDefaultValues() {
	timeCol = main.findObject("timer");
	bitrate = main.findObject("bitrate");

	defTime = "255,255,255";
	defTick = "255,255,255";
	defInfo = "255,255,255";

	defVis1 = "99,99,99"; defVis2 = "102,102,102"; defVis3 = "110,110,110";	defVis4 = "120,120,120"; defVis5 = "125,125,125";
	defVis6 = "134,134,134"; defVis7 = "140,140,140"; defVis8 = "147,147,147"; defVis9 = "158,158,158"; defVis10 = "168,168,168";
	defVis11 = "175,175,175"; defVis12 = "190,190,190"; defVis13 = "200,200,200"; defVis14 = "210,210,210"; defVis15 = "218,218,218";
	defVis16 = "255,255,255"; defVisPeak = "255,255,255";

	timeCol.setXMLParam("Color", system.getPrivateString("Boba", "NewTime", "255,255,255"));
	songticker.setXMLParam("Color", system.getPrivateString("Boba", "NewTick", "255,255,255"));
	bitrate.setXMLParam("Color" , system.getPrivateString("Boba" , "NewInfo", "255,255,255"));

	regVis.setXMLParam("colorband1" , system.getPrivateString("Boba" , "NewVis1", defVis1));
	regVis.setXMLParam("colorband2" , system.getPrivateString("Boba" , "NewVis2", defVis2));
	regVis.setXMLParam("colorband3" , system.getPrivateString("Boba" , "NewVis3", defVis3));
	regVis.setXMLParam("colorband4" , system.getPrivateString("Boba" , "NewVis4", defVis4));
	regVis.setXMLParam("colorband5" , system.getPrivateString("Boba" , "NewVis5", defVis5));
	regVis.setXMLParam("colorband6" , system.getPrivateString("Boba" , "NewVis6", defVis6));
	regVis.setXMLParam("colorband7" , system.getPrivateString("Boba" , "NewVis7", defVis7));
	regVis.setXMLParam("colorband8" , system.getPrivateString("Boba" , "NewVis8", defVis8));
	regVis.setXMLParam("colorband9" , system.getPrivateString("Boba" , "NewVis9", defVis9));
	regVis.setXMLParam("colorband10" , system.getPrivateString("Boba" , "NewVis10", defVis10));
	regVis.setXMLParam("colorband11" , system.getPrivateString("Boba" , "NewVis11", defVis11));
	regVis.setXMLParam("colorband12" , system.getPrivateString("Boba" , "NewVis12", defVis12));
	regVis.setXMLParam("colorband13" , system.getPrivateString("Boba" , "NewVis13", defVis13));
	regVis.setXMLParam("colorband14" , system.getPrivateString("Boba" , "NewVis14", defVis14));
	regVis.setXMLParam("colorband15" , system.getPrivateString("Boba" , "NewVis15", defVis15));
	regVis.setXMLParam("colorband16" , system.getPrivateString("Boba" , "NewVis16", defVis16));
	regVis.setXMLParam("colorbandpeak" , system.getPrivateString("Boba" , "NewVisPeak", defVisPeak));
	
	string DBStr = dropText.getText();
	dropText.onTextChanged(DBStr);
}

changeSliders(string CurCol) {
	string myRed = getToken(CurCol , "," , 0);
	string myGreen = getToken(CurCol , "," , 1);
	string myBlue = getToken(CurCol , "," , 2);

	Red.setPosition(stringToInteger(myRed));
	Green.setPosition(stringToInteger(myGreen));
	Blue.setPosition(stringToInteger(myBlue));
}

SongtickerScroll.onActivate(Int intEnabled) {
	SongTicker.setXmlParam("ticker", System.integerToString(intEnabled));
}

VisEnable.onActivate(Int intEnabled) {
	if(intEnabled == 1) {
		regVis.show();
	}
	else {
		regVis.hide();
	}
		
}

visbox1.onActivate(Int enabled) {
	if(enabled == 1) {
		regVis.setMode(1);
		visbox2.setActivated(0);
	}
	else if(enabled == 0) {
		visbox2.setActivated(1);
	}
}

visbox2.onActivate(Int enabled) {
	if(enabled == 1) {
		regVis.setMode(2);
		visbox1.setActivated(0);
	}
	else if(enabled==0) {
		visbox1.setActivated(1);
	}
}

visover1.onLeftButtonDown(int x, int y) {
	visbox1.onActivate(1);
}

visover2.onLeftButtonDown(int x, int y) {
	visbox2.onActivate(1);
}

gotBobaBut.onACtivate(int enabled) {
	if(enabled == 1) {
		gotBoba.show();
	}
	else if(enabled == 0) {
		gotBoba.hide();
	}
}

drinkOp.onSetPosition(int Pos) {
	drink.setAlpha(pos);
	drinkGhost.setAlpha(pos);
	drinkBackGhost.setAlpha(pos);
	drinkBack.setAlpha(pos);
	drinkText.setXmlParam("suffix", ": " + System.integerToString(Pos / 2.55) + "%");
}

ThingBut.onActivate(int enabled) {
	if(enabled == 0)
		ThingGrp.hide();
	else if(enabled == 1)
		ThingGrp.show();
}

infoBut.onActivate(int enabled) {
	if(enabled == 0) {
		InfoGrp.hide();
		infoBack.hide();
	}
	else if(enabled == 1) {
		InfoGrp.show();
		infoBack.show();
	}
}